- Main Page
- Related Pages
- Classes
- Files

- Namespace Members

Classes | Typedefs | Enumerations
SignOn Namespace Reference

## Classes
class | AuthService
| Represents signon for client application. More...
class | AuthSession
| Represents a session to authentication plugin/server. More...
class | ConnectionManager
class | DBusInterface
class | Identity
| Represents a database entry for a single identity. More...
class | IdentityInfo
| Contains identity information. More...
class | SessionData
| Data container to hold values for authentication session. More...
class | Error
| definition for Signon error handling. More...

## Typedefs
typedef QPointer< AuthSession > | AuthSessionP
typedef QString | MethodName
| Defines a string as an authentication method.
typedef QStringList | MechanismsList
| Defines a string list as a list of mechanisms.

## Enumerations
enum | SignonUiPolicy { DefaultPolicy = 0, RequestPasswordPolicy, NoUserInteractionPolicy, ValidationPolicy }
| Policy to define how the plugin interacts with the user. More...

## Detailed Description

Copyright
  Copyright (C) 2009-2011 Nokia Corporation. LGPL
  Copyright (C) 2009-2011 Nokia Corporation. LGPL

Todo:
  move this to a common includes folder. This is part of the plugin development kit, too.

## Enumeration Type Documentation

enum SignOn::SignonUiPolicy

Policy to define how the plugin interacts with the user.

This is a hint for plugin how to handle user interaction. NoUserInteractionPolicy does not allow any ui interaction to happen and plugin will get error reply QUERY_ERROR_FORBIDDEN.

See Also
  UiPolicy

Enumerator
DefaultPolicy | Plugin can decide when to show ui.
RequestPasswordPolicy | Force user to enter password.
NoUserInteractionPolicy | No ui elements are shown to user.
ValidationPolicy | UI elements can be shown to the user only when captcha-like security measures are required

Definition at line 71 of file sessiondata.h.